eclipse
FAQ

Where can I find more information about the changes in the release?

See the following pages: New and Noteworthy, Known Issues.

 

Will this work with Source Forge Enterprise Edition's tracker tool?

Yes, CollabNet Desktop 1.2 added support for SourceForge Enterprise Edition.

Will this work with my version of CollabNet Enterprise edition?

Most of CollabNet's hosted servers have been upgraded to support the Eclipse Mylar plugins. To make sure your site has been updated, use the Mylyn task repository window to add in a project from your site and press the Validate button. Besides checking your login credentials, this will verify that the server is running the correct patch level to support the Mylyn client.

 

Do I need to have Eclipse Mylyn already installed to use the CollabNet Desktop plugins for Project Tracker or Issue Tracker (IssueZilla)?

Nope. The CollabNet Desktop tracker plugins do require Eclipse Mylyn, but the installer installs the correct version of Eclipse Mylyn for you as part of the overall install process.

 

During Installation I get an error message that says I need the plug-in "org.eclipse.pde.ui". What do I do?

The Mylyn plug-in that provides the team integration (Subversion and CVS) has a dependency on the Eclipse PDE feature. There are a couple of things you can do:

  1. In the Install/Update dialog select the Eclipse Europa/Callisto Discovery site, in addition to the CollabNet site. This will allow you to use the Select Required button and have the PDE feature automatically selected.
  2. Expand the sections of the tree, and deselect the feature that has an error. You will also need to deselect the feature that integrates Subclipse and Mylyn as it needs the feature you will deselect.

When I try to add my site to the task repositories, I get a Java error that says SSL Handshake failed.  What do I do?

This will happen if your site is using a self-signed certificate or a certificate that was otherwise signed by a CA that is not contained in the default trusted CA's by your JVM.  To solve this problem, you need to add your server certificate to the your JVM certificate keystore.  Java includes a command named "keytool" for this purpose.  Here is what you need to do:

  1. First, you need a copy of the server certificate.  You can get this from your web browser.  Just access your site using a web browser.  In most browsers, you can double-click on the padlock icon to examine the server certificate.  There is then usually an option somewhere in the resulting dialogs that lets you export the certificate to a file.  Let's say you named the file MyServer.cert.
  2. Next, you need to determine the JRE you are using when you run Eclipse.  To do this, open the Eclipse Help > About dialog and click on Configuration Details.  Then look through the list until you see the value "java.home=/some/path".  Copy the entire path to your clipboard or write it down on a piece of paper.
  3. The rest of the steps will happen in a command line/terminal session.  First, you need to set an environment variable named JAVA_HOME to the value you picked up in Eclipse:
    1. Windows: set JAVA_HOME=C:\some\path
    2. OSX: export JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
    3. Linux: export JAVA_HOME=/some/path/to/java
  4. Now, you can import the server certificate into your default trusted certificate for the JVM:
$ sudo keytool -import -trustcacerts -alias "some unique name" -file MyServer.cert -keystore 
$JAVA_HOME/lib/security/cacerts
Enter keystore password:  changeit
Owner: EMAILADDRESS=hostmaster@collab.net, CN=myserver.inst.collab.net,
O="CollabNet, Inc.", L=Brisbane, ST=California, C=US
Issuer: EMAILADDRESS=hostmaster@collab.net, CN=myserver.inst.collab.net,
O="CollabNet, Inc.", L=Brisbane, ST=California, C=US
Serial number: c3761cfe8305a126
Valid from: Fri Apr 04 05:43:33 EDT 2008 until: Thu Apr 09 05:43:33 EDT 2009
Certificate fingerprints:
     MD5:  EA:BA:9E:90:05:1E:84:7E:74:7E:20:2B:2D:6E:31:4A
     SHA1: 89:78:82:8A:83:81:17:ED:E9:9F:74:16:95:81:6C:24:61:36:4C:21
Trust this certificate? [no]:  yes
Certificate was added to keystore

The example command is for Linux or OSX and shows the usage of "sudo" if the JVM default requires root to update it.  Windows users would not need "sudo" and would replace "$JAVA_HOME" with "%JAVA_HOME%". 

The default password for the JVM certificate store is "changeit".  Once the certificate is added to the keystore, you should just need to restart Eclipse and it should now work.

I've installed CollabNet Desktop but can't see any of the Mylyn features. What gives?

First, use the file menu and see if you can select Window > Show View > Other > Mylyn. That should get you to the Mylyn views. If you do not see Mylyn listed in the Show View dialog, then most likely you are running on an older version of Java. You'll need to install JDK 1.5.x or higher for Mylyn to work.

 

What is the difference between Mylyn and Mylar?

Nothing! Mylar changed its name to be Mylyn in June 2007. Some background on this change can be found here .

 

Why do artifact attributes still show up in my Project Tracker Mylyn editor after the project admin hides or removes them?

This info gets cached in the Mylyn client. To clean this cache up and repull the info from the server, select the task that is showing the old attribute and delete it from the Mylyn task list. If this task is part of a query, you will notice that it is still available (just the cache was deleted). Regardless, next time you access this query it will show the correct attributes.

 

When I press the Validate button I get this message: " Your project is valid, but this server might not be compatable with your version of mylyn. You are running CollabNet api version 1.2.0. CollabNet server is running 1.1.0". What does it mean?

You will get this message if your server is not running CEE 5.0 or greater. It simply means that some features will not be available. For example, you must be on CEE 5.0 for required fields to be validated in the rich editor. If you are on an earlier version, they are validated on the server and an error message is returned. Essentially, the user interface is cleaner when the newer version is used.


Will this work with CollabNet Enterprise free 15 user download?

Yes, but you must first install the 4.5.1.52.4 and 4.5.1.52.5 patches.